<?php

namespace App\Generated\V1\Messages\Partner;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class LockLikeMeMessage extends Message
{
    use ValueHelper;

    protected $partnerId;
    protected $origin;

    /**
     * @return int
     */
    public function getPartnerId()
    {
        return $this->partnerId;
    }

    /**
     * @return string|null
     */
    public function getOrigin()
    {
        return $this->origin;
    }

    public function requestRules()
    {
        return [
            ['partnerId', 'partner_id', 'bail|integer', Constants::INTEGER, null],
            ['origin', 'origin', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
